var crypto = require('crypto');

export const HashPassword: React.FC = (password:string, salt:string, callback: () => void) => {
    crypto.pbkdf2(password, salt, 100000, 64, 'sha512', (err, derivedKey) => {
        if (err) throw err;
        // Printing the derived key
        callback(derivedKey.toString('hex'));
     });
}